<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info" > Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $("#btn-submit-data").click(function () {
      var vPersonDataObj = {
        firstName: "",
        lastName: "",
        age:""
      };
      thuThapDuLieu(vPersonDataObj);
      if (validateThongTin(vPersonDataObj) === 1){
        hienThiThongTin(vPersonDataObj);
      }
    });
    $("#btn-clear-log").click(function () {
      $("#p-html-log").html("");
    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function thuThapDuLieu(paramThongTin) {
      var vFirstname = $("#inp-first-name").val();
      var vLastname = $("#inp-last-name").val();
      var vAge = $("#inp-age").val();
      paramThongTin.firstName = vFirstname;
      paramThongTin.lastName = vLastname;
      paramThongTin.age = vAge;
      console.log(paramThongTin);
    }
    function validateThongTin(paramThongTin) {
      if(paramThongTin.firstName === "") {
        alert("Nhập firstname ... ");
      }else if(paramThongTin.lastName === "") {
        alert("Nhập lastname ...");
      }else if (isNaN(paramThongTin.age)) {
        alert("Age phải là số");
      }else if (paramThongTin.age < 0 || paramThongTin.age > 200) {
        alert("Age không hợp lệ");
      }else return 1;
    }
    function hienThiThongTin(paramThongTin) {
      var vHienThi = "> firstname: " + paramThongTin.firstName + "<br>" +
      "> lastname: " + paramThongTin.lastName + "<br>" +
      "> age: " + paramThongTin.age + "<br>" +
      ">"
      $("#p-html-log").html(vHienThi);
    }
</script>

</html>